using System.Text.Json.Serialization;
using e_suite.API.Common.models.@base;
using e_suite.Database.Core.Models;

namespace e_suite.API.Common.models;

public class GlossaryItem : GlossaryItemBase, IGeneralId
{
    [JsonPropertyName("id")]
    public long Id { get; set; }

    [JsonPropertyName("guid")]
    public Guid Guid { get; set; }

    [JsonPropertyName("childCustomFieldDefinition")]
    public List<CustomFieldDefinition>? ChildCustomFieldDefinition { get; set; }

    [JsonPropertyName("children")]
    public List<GlossaryItem>? Children { get; set; }

    [JsonPropertyName("customFieldValues")]
    public List<CustomFieldValues>? CustomFieldValues { get; set; }

    [JsonPropertyName("parent")]
    public GlossaryItem? Parent { get; set; }
}